#!/bin/bash


conda_env_name=ldm

# Set conda path
custom_conda_path="../anaconda3"

if [ -f "${custom_conda_path}/etc/profile.d/conda.sh" ]; then
    . "${custom_conda_path}/etc/profile.d/conda.sh"
else
    export PATH="${custom_conda_path}/bin:$PATH"
fi

# Activate conda environment
export conda_active=0
conda activate ${conda_env_name} && export conda_active=1


if [ $conda_active == 0 ]; then
exit
fi


if [ ! -e "models/ldm/stable-diffusion-v1/model.ckpt" ]; then
echo "Your model file does not exist! Place it in 'models/ldm/stable-diffusion-v1' with the name 'model.ckpt'."
exit
fi

python scripts/relauncher.py

